"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IndyVdrModule = void 0;
const IndyVdrModuleConfig_1 = require("./IndyVdrModuleConfig");
const IndyVdrPoolService_1 = require("./pool/IndyVdrPoolService");
/**
 * @public
 * */
class IndyVdrModule {
    constructor(config) {
        this.config = new IndyVdrModuleConfig_1.IndyVdrModuleConfig(config);
    }
    register(dependencyManager) {
        try {
            // eslint-disable-next-line import/no-extraneous-dependencies
            require('@hyperledger/indy-vdr-nodejs');
        }
        catch (error) {
            try {
                require('@hyperledger/indy-vdr-react-native');
            }
            catch (error) {
                throw new Error('Error registering bindings for Indy VDR');
            }
        }
        // Config
        dependencyManager.registerInstance(IndyVdrModuleConfig_1.IndyVdrModuleConfig, this.config);
        // Services
        dependencyManager.registerSingleton(IndyVdrPoolService_1.IndyVdrPoolService);
    }
}
exports.IndyVdrModule = IndyVdrModule;
//# sourceMappingURL=IndyVdrModule.js.map