import type { AnonCredsRegistry, GetCredentialDefinitionReturn, GetSchemaReturn, RegisterSchemaOptions, RegisterCredentialDefinitionOptions, RegisterSchemaReturn, RegisterCredentialDefinitionReturn, GetRevocationStatusListReturn, GetRevocationRegistryDefinitionReturn } from '@aries-framework/anoncreds';
import type { AgentContext } from '@aries-framework/core';
export declare class IndyVdrAnonCredsRegistry implements AnonCredsRegistry {
    readonly supportedIdentifier: RegExp;
    getSchema(agentContext: AgentContext, schemaId: string): Promise<GetSchemaReturn>;
    registerSchema(agentContext: AgentContext, options: IndyVdrRegisterSchemaOptions): Promise<RegisterSchemaReturn>;
    getCredentialDefinition(agentContext: AgentContext, credentialDefinitionId: string): Promise<GetCredentialDefinitionReturn>;
    registerCredentialDefinition(agentContext: AgentContext, options: IndyVdrRegisterCredentialDefinitionOptions): Promise<RegisterCredentialDefinitionReturn>;
    getRevocationStatusList(agentContext: AgentContext, revocationRegistryId: string, timestamp: number): Promise<GetRevocationStatusListReturn>;
    getRevocationRegistryDefinition(agentContext: AgentContext, revocationRegistryDefinitionId: string): Promise<GetRevocationRegistryDefinitionReturn>;
    private fetchIndySchemaWithSeqNo;
}
export interface IndyVdrRegisterSchemaOptions extends RegisterSchemaOptions {
    options: {
        didIndyNamespace: string;
    };
}
export interface IndyVdrRegisterCredentialDefinitionOptions extends RegisterCredentialDefinitionOptions {
    options: {
        didIndyNamespace: string;
    };
}
